目录

要求和其它重要信息

我们编制了一系列的特别要求和其它重要信息,在使用 Wwise 进行工作前您应该了解它们。

一般要求

安装所需的外部组件。运行 Wwise 需要以下外部组件:

  • Microsoft® .Net Framework Version 4.0,包含在安装文件包中。
  • DirectX® June 2010,在 Wwise 中运行 Game Object 3D Viewer 和在 Windows 中运行 Xbox 360 控制器时需要。要更新您的 DirectX 版本,请访问 Microsoft 网站(http://www.microsoft.com/directx)。
  • Visual Studio 2013 redistributables(版本 12.0.30501.00)。

注:如果您在用 DirectX 的旧版本,则 Wwise 将正常运行,但 Game Object 3D Viewer 则不可用,并且您不能在 Wwise 中测试振动。

振动设备

将游戏控制器连接到大功率 USB 端口。振动设备需要连接到大功率 USB 端口。如果 USB 端口没有足够的功率来运行振动设备,系统将卸载此设备来保护操作系统和设备本身。计算机前端的 USB 端口中通常没有足够的功率来运行振动设备,因此应该把它们连接到计算机背面的 USB 端口中。

工程迁移

Wwise 安装与迁移指南。当您准备升级到 Wwise 的新版本时,需要遵守协调协议,以确保在先前版本创建的工程能够顺利地迁移到新版本中。有关更多信息,强烈建议您在升级前参考《Wwise Installation and Migration Guide》。

SoundBank

SoundBank 版本已更新。自先前的 Wwise 版本以来, SoundBank 版本一直在更新。这意味着您需要重新生成所有 SoundBank,使它们能够与当前版本的 Wwise 兼容。